ru.bitel.bgbilling.modules.softline.common.bean

## Class Product

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.common.model.IdTitle
    - - ru.bitel.bgbilling.modules.softline.common.bean.Product

- All Implemented Interfaces:
    java.io.Serializable, Idable, ListItem

      public class Product
      extends IdTitle

  Описание продукта SoftLine
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.model.IdTitle

      `title`

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Product()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAmountOfDays()`
    `java.lang.String` | `getDescription()`
    `SubscriptionPeriodType` | `getPeriodType()`
    `java.math.BigDecimal` | `getPrice()`
    `int` | `getProductCategoryId()`
    `int` | `getServiceId()`
    `java.lang.String` | `getSoftLineCode()`
    `void` | `setAmountOfDays(int amountOfDays)`
    `void` | `setDescription(java.lang.String description)`
    `void` | `setPeriodType(SubscriptionPeriodType periodType)`
    `void` | `setPrice(java.math.BigDecimal price)`
    `void` | `setProductCategoryId(int productCategoryId)`
    `void` | `setServiceId(int serviceId)`
    `void` | `setSoftLineCode(java.lang.String softLineCode)`

    - ### Methods inherited from class ru.bitel.common.model.IdTitle

      `getTitle, setTitle, toString`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface ru.bitel.common.model.ListItem

      `getId`

- - ### Constructor Detail

    - #### Product

          public Product()

  - ### Method Detail

    - #### getDescription

          public java.lang.String getDescription()

    - #### setDescription

          public void setDescription(java.lang.String description)

    - #### getSoftLineCode

          public java.lang.String getSoftLineCode()

    - #### setSoftLineCode

          public void setSoftLineCode(java.lang.String softLineCode)

    - #### getPrice

          public java.math.BigDecimal getPrice()

    - #### setPrice

          public void setPrice(java.math.BigDecimal price)

    - #### getServiceId

          public int getServiceId()

    - #### setServiceId

          public void setServiceId(int serviceId)

    - #### getPeriodType

          public SubscriptionPeriodType getPeriodType()

    - #### setPeriodType

          public void setPeriodType(SubscriptionPeriodType periodType)

    - #### getAmountOfDays

          public int getAmountOfDays()

    - #### setAmountOfDays

          public void setAmountOfDays(int amountOfDays)

    - #### getProductCategoryId

          public int getProductCategoryId()

    - #### setProductCategoryId

          public void setProductCategoryId(int productCategoryId)